org.bootchart.common

## Class BootStats

- java.lang.Object
- - org.bootchart.common.BootStats

-     public class BootStats
      extends java.lang.Object

  BootStats encapsulates boot statistics. This includes global CPU and disk I/O statistics and a process tree with process accounting.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Stats` | `cpuStats` CPU statistics.
    `Stats` | `diskStats` Disk I/O utilization and throughput statistics.
    `ProcessTree` | `procTree` The process tree.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootStats(Stats cpuStats, Stats diskStats, ProcessTree procTree)` Creates a new boot statistics instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cpuStats

          public Stats cpuStats

      CPU statistics.

    - #### diskStats

          public Stats diskStats

      Disk I/O utilization and throughput statistics.

    - #### procTree

          public ProcessTree procTree

      The process tree.

  - ### Constructor Detail

    - #### BootStats

          public BootStats(Stats cpuStats,
                           Stats diskStats,
                           ProcessTree procTree)

      Creates a new boot statistics instance.
      Parameters:
        `cpuStats` - CPU statistics
        `diskStats` - disk utilization and throughput I/O statistics
        `procTree` - the process tree